> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 实时商家列表搜索任务

> Business Listings Search API 提供的结果包含指定类别下 Google Maps 所列商业实体的信息。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/business_data/business_listings/search/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/business_listings/search/live:
    post:
      summary: 实时商家列表搜索任务
      description: >-
        Business Listings Search API 提供在 Google Maps
        上指定类别中列出的商业实体信息。您将收到地址、联系方式、评分、营业时间及其他相关数据。所提供的结果取决于选定的位置设置（参见[位置列表](https://docs.dataforseo.com/v3/business_data/business_listings/locations.md)）。
      operationId: post_dataforseo_business_data_business_listings_search_live
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                categories:
                  type: array
                  items:
                    type: string
                  description: >-
                    *商家类别*
                    可选字段。您指定的类别将用于搜索商家信息；如果不使用此字段，我们将返回在指定位置找到的商家信息；您最多可以指定 **10
                    个类别**
                description:
                  type: string
                  description: '*SERP 中元素的描述* 可选字段，为其收集结果的商业实体描述；最多可包含 200 个字符'
                title:
                  type: string
                  description: '*SERP 中元素的标题* 可选字段；收集结果所针对的商业实体名称；最多可包含 200 个字符'
                is_claimed:
                  type: boolean
                  description: '*指示商家是否已由其所有者在 Google Maps 上验证* 可选字段'
                location_coordinate:
                  type: string
                  description: >-
                    *位置的 GPS 坐标*，可选字段。`location_coordinate` 参数应采用
                    *“latitude,longitude,radius”* 格式。*“latitude”* 和
                    *“longitude”* 的最大小数位数：7。*“radius”* 的值以千米 (km) 为单位。*“radius”*
                    的最小值：`1`；最大值：`100000`。示例：`53.476225,-2.243572,200`
                filters:
                  type: array
                  items:
                    type: string
                  description: >-
                    *结果过滤参数数组*，可选字段。**你可以同时添加多个过滤条件（最多 8 个）**。应在条件之间设置逻辑运算符
                    `and`、`or`。支持以下运算符：`regex`、`not_regex`、``、`>=`、`=`、``、`in`、`not_in`、`like`、`not_like`、`ilike`、`not_ilike`、`match`、`not_match`。你可以将
                    `%` 运算符与 `like` 和 `not_like`
                    配合使用，以匹配包含零个或多个字符的任意字符串。示例：`["rating.value",">",3]`。你可以向
                    `https://api.dataforseo.com/v3/business_data/business_listings/available_filters`
                    单独发起请求，以获取可用过滤条件列表。
                order_by:
                  type: array
                  items:
                    type: string
                  description: >-
                    *结果排序规则* 可选字段；您可以使用与 `filters` 数组中相同的值对结果进行排序；可用的排序类型：`asc`
                    – 结果将按升序排列；`desc` –
                    结果将按降序排列；应使用逗号设置排序参数；示例：`["rating.value,desc"]`；**请注意，单个请求最多可设置三条排序规则**；应使用逗号分隔多条排序规则；示例：`["rating.value,desc","rating.votes_count,desc"]`
                limit:
                  type: integer
                  description: '*返回的商家数量上限*，可选字段，默认值：`100`，最大值：`1000`'
                offset:
                  type: integer
                  description: >-
                    *返回企业的结果数组中的偏移量* 可选字段，默认值：`0`。如果指定值
                    `10`，结果数组中的前十个实体将被省略，并提供后续实体的数据
                offset_token:
                  type: string
                  description: >-
                    *用于后续请求的 token* 可选字段，在每个请求响应的同名字段中提供；尝试通过单个请求获取超过 100,000
                    条结果时，使用此参数可避免超时；通过指定响应数组中的唯一 `offset_token`
                    值，您将获得初始任务的后续结果；每个后续任务的 `offset_token` 值均唯一。**注意：**如果请求中指定了
                    `offset_token`，则所有其他参数都应与上一个请求相同
                tag:
                  type: string
                  description: >-
                    *用户定义的任务标识符*，可选字段，*字符数上限为 255*。你可以使用此参数标识任务并将其与结果匹配；你可以在响应的
                    `data` 对象中找到指定的 `tag` 值
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*API 的当前版本*'
                  version.status_code:
                    type: integer
                    description: >-
                      *常规状态代码*
                      您可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表。**注意：**我们强烈建议设计必要的系统来处理相关异常或错误情况
                  version.status_message:
                    type: string
                    description: >-
                      *一般信息消息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看一般信息消息的完整列表
                  version.time:
                    type: string
                    description: '*执行时间（秒）*'
                  version.cost:
                    type: number
                    description: '*任务总成本（美元）*'
                  version.tasks_count:
                    type: integer
                    description: '***`tasks`**数组中的任务数量*'
                  version.tasks_error:
                    type: integer
                    description: '*返回的 **`tasks`** 数组中发生错误的任务数量*'
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*任务数组*'
                  tasks.id:
                    type: string
                    description: >-
                      我们系统中的*唯一任务标识符*，采用[通用唯一标识符
                      (UUID)](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      格式
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的*任务状态码*；取值范围为：10000-60000
                  tasks.status_message:
                    type: string
                    description: '*任务信息消息*'
                  tasks.time:
                    type: string
                    description: '*执行时间（秒）*'
                  tasks.cost:
                    type: number
                    description: '*任务成本（美元）*'
                  tasks.result_count:
                    type: integer
                    description: '*`result` 数组中的元素数量*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL 路径*'
                  tasks.data:
                    type: object
                    description: '*包含与您在 POST 请求中指定的参数相同的参数*'
                  result:
                    type: array
                    items:
                      type: string
                    description: '*结果数组*'
                  result.total_count:
                    type: integer
                    description: '*数据库中与您的请求相关的结果总数*'
                  result.count:
                    type: integer
                    description: '*项目类型* `items` 数组中的项目数量'
                  result.offset:
                    type: integer
                    description: '*返回企业在结果数组中的偏移量*'
                  result.offset_token:
                    type: string
                    description: >-
                      *用于后续请求的 token* 设置新任务时指定唯一的
                      `offset_token`，即可获得初始任务的后续结果；每个后续任务的 `offset_token` 值均唯一
                  items:
                    type: array
                    items:
                      type: string
                    description: >-
                      *遇到的项目类型*；`items`
                      数组中遇到的搜索引擎结果类型；可能的项目类型：`business_listing`
                  items.type:
                    type: string
                    description: '*元素类型 = **‘business\_listing’***'
                  items.title:
                    type: string
                    description: '*SERP 中元素的标题* 收集结果所针对的商业实体名称'
                  items.original_title:
                    type: string
                    description: '*元素的原标题* 未经 Google 翻译的原标题'
                  items.description:
                    type: string
                    description: '*SERP 中元素的描述* 收集结果所针对的商业实体的描述'
                  items.category:
                    type: string
                    description: '*商家类别* 最能描述该商业实体所提供服务的 Google My Business 常规类别'
                  items.category_ids:
                    type: array
                    items:
                      type: string
                    description: '*全局类别 ID* 不随所选国家/地区变化的通用类别 ID'
                  items.additional_categories:
                    type: array
                    items:
                      type: string
                    description: '*其他业务类别* 其他 Google My Business 类别，用于更详细地描述该商业实体提供的服务'
                  items.cid:
                    type: string
                    description: >-
                      *Google 定义的客户端 id* 本地商家的唯一
                      id；有关该标识符的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  items.feature_id:
                    type: string
                    description: >-
                      *SERP 中元素的唯一标识符*
                      有关该标识符的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  items.address:
                    type: string
                    description: '*企业实体的街道地址*'
                  items.address_info:
                    type: object
                    description: '*包含企业实体地址组成部分的对象*'
                  items.borough:
                    type: string
                    description: '*企业实体所在地所属的行政单位或区域*'
                  items.city:
                    type: string
                    description: '*企业实体所在城市的名称*'
                  items.zip:
                    type: string
                    description: '*商业实体的邮政编码*'
                  items.region:
                    type: string
                    description: '*商业实体所在地的 DMA 区域*'
                  items.country_code:
                    type: string
                    description: '*企业实体所在地的 ISO 国家代码*'
                  items.place_id:
                    type: string
                    description: >-
                      *唯一地点标识符* 元素中所展示本地商家的 [place
                      id](https://developers.google.com/places/place-id)；有关该标识符的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  items.phone:
                    type: string
                    description: '*商业实体的电话号码*'
                  items.url:
                    type: string
                    description: '*业务实体的绝对 URL*'
                  items.domain:
                    type: string
                    description: '*商业实体的域名*'
                  items.logo:
                    type: string
                    description: '*Google My Business 资料中展示的徽标 URL*'
                  items.main_image:
                    type: string
                    description: '*Google My Business 资料中展示的主图片 URL*'
                  items.total_photos:
                    type: integer
                    description: '*Google My Business 资料中展示的图片总数*'
                  items.snippet:
                    type: string
                    description: '*有关企业实体的其他信息*'
                  items.latitude:
                    type: number
                    description: '*Google 地图中本地商家的纬度坐标* 示例：`"latitude": 51.584091`'
                  items.longitude:
                    type: number
                    description: >-
                      *Google 地图中本地商家的经度坐标* 示例：`"longitude":
                      -0.31365919999999997`
                  items.is_claimed:
                    type: boolean
                    description: '*指示该实体是否已由其所有者在 Google Maps 上验证*'
                  items.attributes:
                    type: object
                    description: '*以用户审核项形式呈现的服务详情；* 以审核项形式显示的商业实体服务详情，基于用户反馈和商家 `category`'
                  items.available_attributes:
                    type: object
                    description: '*可用属性*表示企业实体可提供的属性'
                  items.unavailable_attributes:
                    type: object
                    description: '*不可用属性*表示企业实体无法提供的属性'
                  items.place_topics:
                    type: object
                    description: >-
                      *客户评论中提及的关键词* 包含企业实体的客户评论中与产品/服务相关的最热门关键词，以及提及每个关键词的评论数量
                      示例：`"place_topics": {"egg roll": 48,"birthday": 33}`
                  items.rating:
                    type: object
                    description: '*元素评分* 基于评论得出并显示在 SERP 中的热门程度'
                  items.rating_type:
                    type: string
                    description: '*评分类型* 此处可能包含以下元素：`Max5`、`Percents`、`CustomMax`'
                  items.value:
                    type: integer
                    description: '*评分值*'
                  items.votes_count:
                    type: integer
                    description: '*反馈数量*'
                  items.rating_max:
                    type: integer
                    description: '*`rating_type` 的最大值*'
                  items.hotel_rating:
                    type: integer
                    description: >-
                      *酒店星级*；星级范围为 1-5
                      星，[了解更多](https://support.google.com/business/answer/7660515?hl=en)；如果没有酒店星级信息，该值将为
                      `null`
                  items.price_level:
                    type: string
                    description: >-
                      *property price level*
                      可取以下值：`inexpensive`、`moderate`、`expensive`、`very_expensive`；如果没有价格等级信息，则该值为
                      `null`
                  items.rating_distribution:
                    type: object
                    description: '*商业实体的评分分布*，该对象显示用户评价的一星至五星评分数量'
                  items.1:
                    type: integer
                    description: '*1 星评分的数量*'
                  items.2:
                    type: integer
                    description: '*2 星评分的数量*'
                  items.3:
                    type: integer
                    description: '*3 星评分数量*'
                  items.4:
                    type: integer
                    description: '*4 星评分的数量*'
                  items.5:
                    type: integer
                    description: '*5 星评分数量*'
                  items.people_also_search:
                    type: array
                    items:
                      type: string
                    description: '*相关业务实体*'
                  items.work_time:
                    type: object
                    description: '*工作时间详情* 与企业实体营业时间相关的信息'
                  items.work_hours:
                    type: object
                    description: 本地场所工作时间的*营业时间*信息
                  items.timetable:
                    type: object
                    description: '*工作时间表*'
                  items.sunday:
                    type: array
                    items:
                      type: string
                    description: '*星期日的工作时段* **可采用一周中对应日期的值**'
                  items.open:
                    type: object
                    description: '*开盘时间*'
                  items.hour:
                    type: integer
                    description: '*采用 24 小时制的小时数*'
                  items.minute:
                    type: integer
                    description: '*分钟*'
                  items.close:
                    type: object
                    description: '*关闭时间*'
                  items.current_status:
                    type: string
                    description: >-
                      *商家的当前状态*
                      可能的值：`open`、`close`、`temporarily_closed`、`closed_forever`
                  popular_times:
                    type: object
                    description: 与企业实体繁忙时段相关的*热门时段*信息
                  popular_times.popular_times_by_days:
                    type: object
                    description: '*热门时段*：本地商家在一周中每天繁忙时段的信息'
                  popular_times.sunday:
                    type: array
                    items:
                      type: string
                    description: '*星期日的繁忙时段* **可采用一周中对应日期的值**'
                  popular_times.time:
                    type: object
                    description: '*繁忙时段*'
                  popular_times.hour:
                    type: integer
                    description: '*24 小时制的小时数*'
                  popular_times.minute:
                    type: integer
                    description: '*分钟*'
                  popular_times.popular_index:
                    type: integer
                    description: '*热门程度指数* 在 `0` 到 `100` 范围内衡量的相对时段热门程度指数；值越高表示一天中的该时段越繁忙'
                  local_business_links:
                    type: array
                    items:
                      type: string
                    description: '*可与商家进行的交互* 可直接从搜索结果中与商家进行交互的选项列表'
                  local_business_links.type:
                    type: string
                    description: >-
                      *元素类型*，可能的值：`"reservation""order""delivery_services_element""menu"`
                  local_business_links.title:
                    type: string
                    description: '*元素的标题* 预订软件的域名'
                  local_business_links.url:
                    type: string
                    description: '*服务的 URL*'
                  contact_info:
                    type: array
                    items:
                      type: string
                    description: '*企业可用联系方式* 可用于与企业联系的联系方式列表'
                  contact_info.type:
                    type: string
                    description: '*联系人元素类型*'
                  contact_info.value:
                    type: string
                    description: '*SERP 中显示的联系方式* 示例：`"+119797979736"`'
                  contact_info.source:
                    type: string
                    description: '*数据源*'
                  contact_info.check_url:
                    type: string
                    description: '*搜索引擎结果的直接 URL*，你可以使用它确认我们提供的结果是否准确'
                  contact_info.last_updated_time:
                    type: string
                    description: >-
                      *数据最后更新的日期和时间*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”，示例：`2023-01-26 09:03:15 +00:00`
                  contact_info.first_seen:
                    type: string
                    description: >-
                      *我们的爬虫首次发现该商家列表元素的日期和时间*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00” 示例：`2023-03-11 10:04:11 +00:00`
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````